﻿using System;
using System.Collections.Generic;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System.Linq;
using System.Text;
using Virinco.WATS.Interface;
using System.IO;

namespace $safeprojectname$
{
    [TestClass]
    public class ConverterTests : TDM
    {
        [TestMethod]
        public void SetupClient()
        {
            SetupAPI(null, "Drammen, Norway", "Demo", true);
            RegisterClient("https://debug.skywats.com", "", "ZGVidWc6UDFjSUloeTMrazZzNzJJQ0RzYUxHUT09");
            InitializeAPI(true);
        }

        [TestMethod]
        public void TestSimpleConverter()
        {
            InitializeAPI(true);
            SimpleConverter converter = new SimpleConverter();
            using (FileStream file = new FileStream("Data\\SimpleFormat.txt", FileMode.Open))
            {
                Report uut = converter.ImportReport(this, file);
                Submit(uut);
            }
        }
    }
}
